/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ProdTipoptovta;
import com.rjconsultores.ventaboletos.entidad.TipoPuntoVenta;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderCyberViajeProdTipoptovta implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ProdTipoptovta prodTipoptovta = (ProdTipoptovta) o;

        Listcell lc = null;

        TipoPuntoVenta tipoPuntoVenta = prodTipoptovta.getTipoPtovta();
        if (tipoPuntoVenta != null) {
            lc = new Listcell(tipoPuntoVenta.getDesctipo());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", prodTipoptovta);
    }
}
